# GstVideo Ancillary

A collection of objects and methods to assist with handling Ancillary Data present in Vertical Blanking Interval as well as Closed Caption.

## GstAncillaryMeta

GstMeta for carrying SMPTE-291M Ancillary data. Note that all the ADF fields (@DID to checksum) are 10bit values with parity/non-parity high-bits set.

### Members

`meta` (GstMeta) –

Parent GstMeta

`field` (GstAncillaryMetaField) –

The field where the ancillary data is located

`c_not_y_channel` (gboolean) –

Which channel (luminance or chrominance) the ancillary data is located. 0 if content is SD or stored in the luminance channel (default). 1 if HD and stored in the chrominance channel.

`line` (guint16) –

The line on which the ancillary data is located (max 11bit). There are two special values: 0x7ff if no line is specified (default), 0x7fe to specify the ancillary data is on any valid line before active video

`offset` (guint16) –

The location of the ancillary data packet in a SDI raster relative to the start of active video (max 12bits). A value of 0 means the ADF of the ancillary packet starts immediately following SAV. There are 3 special values: 0xfff: No specified location (default), 0xffe: within HANC data space, 0xffd: within the ancillary data space located between SAV and EAV

`DID` (guint16) –

Data Identified

`SDID_block_number` (guint16) –

Secondary Data identification (if type 2) or Data block number (if type 1)

`data_count` (guint16) –

The amount of user data

`data` (guint16 *) –

The User data

`checksum` (guint16) –

The checksum of the ADF

Since : 1.24

## GstVideo.AncillaryMeta

Gst.Meta for carrying SMPTE-291M Ancillary data. Note that all the ADF fields (@DID to checksum) are 10bit values with parity/non-parity high-bits set.

### Members

`meta` (Gst.Meta) –

Parent Gst.Meta

`field` (GstVideo.AncillaryMetaField) –

The field where the ancillary data is located

`c_not_y_channel` (Number) –

Which channel (luminance or chrominance) the ancillary data is located. 0 if content is SD or stored in the luminance channel (default). 1 if HD and stored in the chrominance channel.

`line` (Number) –

The line on which the ancillary data is located (max 11bit). There are two special values: 0x7ff if no line is specified (default), 0x7fe to specify the ancillary data is on any valid line before active video

`offset` (Number) –

The location of the ancillary data packet in a SDI raster relative to the start of active video (max 12bits). A value of 0 means the ADF of the ancillary packet starts immediately following SAV. There are 3 special values: 0xfff: No specified location (default), 0xffe: within HANC data space, 0xffd: within the ancillary data space located between SAV and EAV

`DID` (Number) –

Data Identified

`SDID_block_number` (Number) –

Secondary Data identification (if type 2) or Data block number (if type 1)

`data_count` (Number) –

The amount of user data

`data` ([ Number ]) –

The User data

`checksum` (Number) –

The checksum of the ADF

Since : 1.24

## GstVideo.AncillaryMeta

Gst.Meta for carrying SMPTE-291M Ancillary data. Note that all the ADF fields (@DID to checksum) are 10bit values with parity/non-parity high-bits set.

### Members

`meta` (Gst.Meta) –

Parent Gst.Meta

`field` (GstVideo.AncillaryMetaField) –

The field where the ancillary data is located

`c_not_y_channel` (bool) –

Which channel (luminance or chrominance) the ancillary data is located. 0 if content is SD or stored in the luminance channel (default). 1 if HD and stored in the chrominance channel.

`line` (int) –

The line on which the ancillary data is located (max 11bit). There are two special values: 0x7ff if no line is specified (default), 0x7fe to specify the ancillary data is on any valid line before active video

`offset` (int) –

The location of the ancillary data packet in a SDI raster relative to the start of active video (max 12bits). A value of 0 means the ADF of the ancillary packet starts immediately following SAV. There are 3 special values: 0xfff: No specified location (default), 0xffe: within HANC data space, 0xffd: within the ancillary data space located between SAV and EAV

`DID` (int) –

Data Identified

`SDID_block_number` (int) –

Secondary Data identification (if type 2) or Data block number (if type 1)

`data_count` (int) –

The amount of user data

`data` ([ int ]) –

The User data

`checksum` (int) –

The checksum of the ADF

Since : 1.24

## GstVideoAFDMeta

Active Format Description (AFD)

For details, see Table 6.14 Active Format in:

ATSC Digital Television Standard: Part 4 – MPEG-2 Video System Characteristics

https://www.atsc.org/wp-content/uploads/2015/03/a_53-Part-4-2009.pdf

and Active Format Description in Complete list of AFD codes

https://en.wikipedia.org/wiki/Active_Format_Description#Complete_list_of_AFD_codes

and SMPTE ST2016-1

### Members

`meta` (GstMeta) –

parent GstMeta

`field` (guint8) –

0 for progressive or field 1 and 1 for field 2

`spec` (GstVideoAFDSpec) –

GstVideoAFDSpec that applies to afd

`afd` (GstVideoAFDValue) –

GstVideoAFDValue AFD value

Since : 1.18

## GstVideo.VideoAFDMeta

Active Format Description (AFD)

For details, see Table 6.14 Active Format in:

ATSC Digital Television Standard: Part 4 – MPEG-2 Video System Characteristics

https://www.atsc.org/wp-content/uploads/2015/03/a_53-Part-4-2009.pdf

and Active Format Description in Complete list of AFD codes

https://en.wikipedia.org/wiki/Active_Format_Description#Complete_list_of_AFD_codes

and SMPTE ST2016-1

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`field` (Number) –

0 for progressive or field 1 and 1 for field 2

`spec` (GstVideo.VideoAFDSpec) –

GstVideo.VideoAFDSpec that applies to afd

`afd` (GstVideo.VideoAFDValue) –

GstVideo.VideoAFDValue AFD value

Since : 1.18

## GstVideo.VideoAFDMeta

Active Format Description (AFD)

For details, see Table 6.14 Active Format in:

ATSC Digital Television Standard: Part 4 – MPEG-2 Video System Characteristics

https://www.atsc.org/wp-content/uploads/2015/03/a_53-Part-4-2009.pdf

and Active Format Description in Complete list of AFD codes

https://en.wikipedia.org/wiki/Active_Format_Description#Complete_list_of_AFD_codes

and SMPTE ST2016-1

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`field` (int) –

0 for progressive or field 1 and 1 for field 2

`spec` (GstVideo.VideoAFDSpec) –

GstVideo.VideoAFDSpec that applies to afd

`afd` (GstVideo.VideoAFDValue) –

GstVideo.VideoAFDValue AFD value

Since : 1.18

### Functions

#### gst_video_afd_meta_get_info

    const GstMetaInfo *
    gst_video_afd_meta_get_info ()

Returns –
No description available

#### GstVideo.prototype.video_afd_meta_get_info

    function GstVideo.prototype.video_afd_meta_get_info(): {
        // javascript wrapper for 'gst_video_afd_meta_get_info'
    }

Returns (Gst.MetaInfo) –
No description available

#### GstVideo.video_afd_meta_get_info

    def GstVideo.video_afd_meta_get_info ():
        #python wrapper for 'gst_video_afd_meta_get_info'

Returns (Gst.MetaInfo) –
No description available

## GstVideoAncillary

Video Ancillary data, according to SMPTE-291M specification.

Note that the contents of the data are always stored as 8bit data (i.e. do not contain the parity check bits).

### Members

`DID` (guint8) –

The Data Identifier

`SDID_block_number` (guint8) –

The Secondary Data Identifier (if type 2) or the Data Block Number (if type 1)

`data_count` (guint8) –

The amount of data (in bytes) in data (max 255 bytes)

`data` (guint8 *) –

The user data content of the Ancillary packet. Does not contain the ADF, DID, SDID nor CS.

Since : 1.16

## GstVideo.VideoAncillary

Video Ancillary data, according to SMPTE-291M specification.

Note that the contents of the data are always stored as 8bit data (i.e. do not contain the parity check bits).

### Members

`DID` (Number) –

The Data Identifier

`SDID_block_number` (Number) –

The Secondary Data Identifier (if type 2) or the Data Block Number (if type 1)

`data_count` (Number) –

The amount of data (in bytes) in data (max 255 bytes)

`data` ([ Number ]) –

The user data content of the Ancillary packet. Does not contain the ADF, DID, SDID nor CS.

Since : 1.16

## GstVideo.VideoAncillary

Video Ancillary data, according to SMPTE-291M specification.

Note that the contents of the data are always stored as 8bit data (i.e. do not contain the parity check bits).

### Members

`DID` (int) –

The Data Identifier

`SDID_block_number` (int) –

The Secondary Data Identifier (if type 2) or the Data Block Number (if type 1)

`data_count` (int) –

The amount of data (in bytes) in data (max 255 bytes)

`data` ([ int ]) –

The user data content of the Ancillary packet. Does not contain the ADF, DID, SDID nor CS.

Since : 1.16

## GstVideoBarMeta

Bar data should be included in video user data whenever the rectangular picture area containing useful information does not extend to the full height or width of the coded frame and AFD alone is insufficient to describe the extent of the image.

Note: either vertical or horizontal bars are specified, but not both.

For more details, see:

https://www.atsc.org/wp-content/uploads/2015/03/a_53-Part-4-2009.pdf

and SMPTE ST2016-1

### Members

`meta` (GstMeta) –

parent GstMeta

`field` (guint8) –

0 for progressive or field 1 and 1 for field 2

`is_letterbox` (gboolean) –

if true then bar data specifies letterbox, otherwise pillarbox

`bar_data1` (guint) –

If is_letterbox is true, then the value specifies the last line of a horizontal letterbox bar area at top of reconstructed frame. Otherwise, it specifies the last horizontal luminance sample of a vertical pillarbox bar area at the left side of the reconstructed frame

`bar_data2` (guint) –

If is_letterbox is true, then the value specifies the first line of a horizontal letterbox bar area at bottom of reconstructed frame. Otherwise, it specifies the first horizontal luminance sample of a vertical pillarbox bar area at the right side of the reconstructed frame.

Since : 1.18

## GstVideo.VideoBarMeta

Bar data should be included in video user data whenever the rectangular picture area containing useful information does not extend to the full height or width of the coded frame and AFD alone is insufficient to describe the extent of the image.

Note: either vertical or horizontal bars are specified, but not both.

For more details, see:

https://www.atsc.org/wp-content/uploads/2015/03/a_53-Part-4-2009.pdf

and SMPTE ST2016-1

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`field` (Number) –

0 for progressive or field 1 and 1 for field 2

`is_letterbox` (Number) –

if true then bar data specifies letterbox, otherwise pillarbox

`bar_data1` (Number) –

If is_letterbox is true, then the value specifies the last line of a horizontal letterbox bar area at top of reconstructed frame. Otherwise, it specifies the last horizontal luminance sample of a vertical pillarbox bar area at the left side of the reconstructed frame

`bar_data2` (Number) –

If is_letterbox is true, then the value specifies the first line of a horizontal letterbox bar area at bottom of reconstructed frame. Otherwise, it specifies the first horizontal luminance sample of a vertical pillarbox bar area at the right side of the reconstructed frame.

Since : 1.18

## GstVideo.VideoBarMeta

Bar data should be included in video user data whenever the rectangular picture area containing useful information does not extend to the full height or width of the coded frame and AFD alone is insufficient to describe the extent of the image.

Note: either vertical or horizontal bars are specified, but not both.

For more details, see:

https://www.atsc.org/wp-content/uploads/2015/03/a_53-Part-4-2009.pdf

and SMPTE ST2016-1

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`field` (int) –

0 for progressive or field 1 and 1 for field 2

`is_letterbox` (bool) –

if true then bar data specifies letterbox, otherwise pillarbox

`bar_data1` (int) –

If is_letterbox is true, then the value specifies the last line of a horizontal letterbox bar area at top of reconstructed frame. Otherwise, it specifies the last horizontal luminance sample of a vertical pillarbox bar area at the left side of the reconstructed frame

`bar_data2` (int) –

If is_letterbox is true, then the value specifies the first line of a horizontal letterbox bar area at bottom of reconstructed frame. Otherwise, it specifies the first horizontal luminance sample of a vertical pillarbox bar area at the right side of the reconstructed frame.

Since : 1.18

### Functions

#### gst_video_bar_meta_get_info

    const GstMetaInfo *
    gst_video_bar_meta_get_info ()

Returns –
No description available

#### GstVideo.prototype.video_bar_meta_get_info

    function GstVideo.prototype.video_bar_meta_get_info(): {
        // javascript wrapper for 'gst_video_bar_meta_get_info'
    }

Returns (Gst.MetaInfo) –
No description available

#### GstVideo.video_bar_meta_get_info

    def GstVideo.video_bar_meta_get_info ():
        #python wrapper for 'gst_video_bar_meta_get_info'

Returns (Gst.MetaInfo) –
No description available

## GstVideoCaptionMeta

Extra buffer metadata providing Closed Caption.

### Members

`meta` (GstMeta) –

parent GstMeta

`caption_type` (GstVideoCaptionType) –

The type of Closed Caption contained in the meta.

`data` (guint8 *) –

The Closed Caption data.

`size` (gsize) –

The size in bytes of data

Since : 1.16

## GstVideo.VideoCaptionMeta

Extra buffer metadata providing Closed Caption.

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`caption_type` (GstVideo.VideoCaptionType) –

The type of Closed Caption contained in the meta.

`data` ([ Number ]) –

The Closed Caption data.

`size` (Number) –

The size in bytes of data

Since : 1.16

## GstVideo.VideoCaptionMeta

Extra buffer metadata providing Closed Caption.

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`caption_type` (GstVideo.VideoCaptionType) –

The type of Closed Caption contained in the meta.

`data` ([ int ]) –

The Closed Caption data.

`size` (int) –

The size in bytes of data

Since : 1.16

### Functions

#### gst_video_caption_meta_get_info

    const GstMetaInfo *
    gst_video_caption_meta_get_info ()

Returns –
No description available

#### GstVideo.prototype.video_caption_meta_get_info

    function GstVideo.prototype.video_caption_meta_get_info(): {
        // javascript wrapper for 'gst_video_caption_meta_get_info'
    }

Returns (Gst.MetaInfo) –
No description available

#### GstVideo.video_caption_meta_get_info

    def GstVideo.video_caption_meta_get_info ():
        #python wrapper for 'gst_video_caption_meta_get_info'

Returns (Gst.MetaInfo) –
No description available

## GstVideoVBIEncoder

An encoder for writing ancillary data to the Vertical Blanking Interval lines of component signals.

Since : 1.16

## GstVideo.VideoVBIEncoder

An encoder for writing ancillary data to the Vertical Blanking Interval lines of component signals.

Since : 1.16

## GstVideo.VideoVBIEncoder

An encoder for writing ancillary data to the Vertical Blanking Interval lines of component signals.

Since : 1.16

### Constructors

#### gst_video_vbi_encoder_new

    GstVideoVBIEncoder *
    gst_video_vbi_encoder_new (GstVideoFormat format,
                               guint32 pixel_width)

Create a new GstVideoVBIEncoder for the specified format and pixel_width.

Parameters:

`format` –

a GstVideoFormat

`pixel_width` –

The width in pixel to use

Returns ( [nullable]) –

The new GstVideoVBIEncoder or NULL if the format and/or pixel_width is not supported.

Since : 1.16

#### GstVideo.VideoVBIEncoder.prototype.new

    function GstVideo.VideoVBIEncoder.prototype.new(format: GstVideo.VideoFormat, pixel_width: Number): {
        // javascript wrapper for 'gst_video_vbi_encoder_new'
    }

Create a new GstVideo.VideoVBIEncoder for the specified format and pixel_width.

Parameters:

`format` (GstVideo.VideoFormat) –

a GstVideo.VideoFormat

`pixel_width` (Number) –

The width in pixel to use

Returns (GstVideo.VideoVBIEncoder) –

The new GstVideo.VideoVBIEncoder or null if the format and/or pixel_width is not supported.

Since : 1.16

#### GstVideo.VideoVBIEncoder.new

    def GstVideo.VideoVBIEncoder.new (format, pixel_width):
        #python wrapper for 'gst_video_vbi_encoder_new'

Create a new GstVideo.VideoVBIEncoder for the specified format and pixel_width.

Parameters:

`format` (GstVideo.VideoFormat) –

a GstVideo.VideoFormat

`pixel_width` (int) –

The width in pixel to use

Returns (GstVideo.VideoVBIEncoder) –

The new GstVideo.VideoVBIEncoder or None if the format and/or pixel_width is not supported.

Since : 1.16

### Methods

#### gst_video_vbi_encoder_add_ancillary

    gboolean
    gst_video_vbi_encoder_add_ancillary (GstVideoVBIEncoder * encoder,
                                         gboolean composite,
                                         guint8 DID,
                                         guint8 SDID_block_number,
                                         const guint8 * data,
                                         guint data_count)

Stores Video Ancillary data, according to SMPTE-291M specification.

Note that the contents of the data are always read as 8bit data (i.e. do not contain the parity check bits).

Parameters:

`encoder` –

a GstVideoVBIEncoder

`composite` –

TRUE if composite ADF should be created, component otherwise

`DID` –

The Data Identifier

`SDID_block_number` –

The Secondary Data Identifier (if type 2) or the Data Block Number (if type 1)

`data` ( [array length=data_count]) –

The user data content of the Ancillary packet. Does not contain the ADF, DID, SDID nor CS.

`data_count` –

The amount of data (in bytes) in data (max 255 bytes)

Returns –

TRUE if enough space was left in the current line, FALSE otherwise.

Since : 1.16

#### GstVideo.VideoVBIEncoder.prototype.add_ancillary

    function GstVideo.VideoVBIEncoder.prototype.add_ancillary(composite: Number, DID: Number, SDID_block_number: Number, data: [ Number ], data_count: Number): {
        // javascript wrapper for 'gst_video_vbi_encoder_add_ancillary'
    }

Stores Video Ancillary data, according to SMPTE-291M specification.

Note that the contents of the data are always read as 8bit data (i.e. do not contain the parity check bits).

Parameters:

`encoder` (GstVideo.VideoVBIEncoder) –

a GstVideo.VideoVBIEncoder

`composite` (Number) –

true if composite ADF should be created, component otherwise

`DID` (Number) –

The Data Identifier

`SDID_block_number` (Number) –

The Secondary Data Identifier (if type 2) or the Data Block Number (if type 1)

`data` ([ Number ]) –

The user data content of the Ancillary packet. Does not contain the ADF, DID, SDID nor CS.

`data_count` (Number) –

The amount of data (in bytes) in data (max 255 bytes)

Returns (Number) –

true if enough space was left in the current line, false otherwise.

Since : 1.16

#### GstVideo.VideoVBIEncoder.add_ancillary

    def GstVideo.VideoVBIEncoder.add_ancillary (self, composite, DID, SDID_block_number, data, data_count):
        #python wrapper for 'gst_video_vbi_encoder_add_ancillary'

Stores Video Ancillary data, according to SMPTE-291M specification.

Note that the contents of the data are always read as 8bit data (i.e. do not contain the parity check bits).

Parameters:

`encoder` (GstVideo.VideoVBIEncoder) –

a GstVideo.VideoVBIEncoder

`composite` (bool) –

True if composite ADF should be created, component otherwise

`DID` (int) –

The Data Identifier

`SDID_block_number` (int) –

The Secondary Data Identifier (if type 2) or the Data Block Number (if type 1)

`data` ([ int ]) –

The user data content of the Ancillary packet. Does not contain the ADF, DID, SDID nor CS.

`data_count` (int) –

The amount of data (in bytes) in data (max 255 bytes)

Returns (bool) –

True if enough space was left in the current line, False otherwise.

Since : 1.16

#### gst_video_vbi_encoder_copy

    GstVideoVBIEncoder *
    gst_video_vbi_encoder_copy (const GstVideoVBIEncoder * encoder)

Parameters:

`encoder` –
No description available
Returns –
No description available

#### GstVideo.VideoVBIEncoder.prototype.copy

    function GstVideo.VideoVBIEncoder.prototype.copy(): {
        // javascript wrapper for 'gst_video_vbi_encoder_copy'
    }

Parameters:

`encoder` (GstVideo.VideoVBIEncoder) –
No description available
Returns (GstVideo.VideoVBIEncoder) –
No description available

#### GstVideo.VideoVBIEncoder.copy

    def GstVideo.VideoVBIEncoder.copy (self):
        #python wrapper for 'gst_video_vbi_encoder_copy'

Parameters:

`encoder` (GstVideo.VideoVBIEncoder) –
No description available
Returns (GstVideo.VideoVBIEncoder) –
No description available

#### gst_video_vbi_encoder_free

    gst_video_vbi_encoder_free (GstVideoVBIEncoder * encoder)

Frees the encoder.

Parameters:

`encoder` –

a GstVideoVBIEncoder

Since : 1.16

#### GstVideo.VideoVBIEncoder.prototype.free

    function GstVideo.VideoVBIEncoder.prototype.free(): {
        // javascript wrapper for 'gst_video_vbi_encoder_free'
    }

Frees the encoder.

Parameters:

`encoder` (GstVideo.VideoVBIEncoder) –

a GstVideo.VideoVBIEncoder

Since : 1.16

#### GstVideo.VideoVBIEncoder.free

    def GstVideo.VideoVBIEncoder.free (self):
        #python wrapper for 'gst_video_vbi_encoder_free'

Frees the encoder.

Parameters:

`encoder` (GstVideo.VideoVBIEncoder) –

a GstVideo.VideoVBIEncoder

Since : 1.16

#### gst_video_vbi_encoder_write_line

    gst_video_vbi_encoder_write_line (GstVideoVBIEncoder * encoder,
                                      guint8 * data)

data needs to have the correct size and alignment for the configured video format of encoder.

Parameters:

`encoder` –

a GstVideoVBIEncoder

`data` ( [array]) –

The line to write to

#### GstVideo.VideoVBIEncoder.prototype.write_line

    function GstVideo.VideoVBIEncoder.prototype.write_line(data: [ Number ]): {
        // javascript wrapper for 'gst_video_vbi_encoder_write_line'
    }

data needs to have the correct size and alignment for the configured video format of encoder.

Parameters:

`encoder` (GstVideo.VideoVBIEncoder) –

a GstVideo.VideoVBIEncoder

`data` ([ Number ]) –

The line to write to

#### GstVideo.VideoVBIEncoder.write_line

    def GstVideo.VideoVBIEncoder.write_line (self, data):
        #python wrapper for 'gst_video_vbi_encoder_write_line'

data needs to have the correct size and alignment for the configured video format of encoder.

Parameters:

`encoder` (GstVideo.VideoVBIEncoder) –

a GstVideo.VideoVBIEncoder

`data` ([ int ]) –

The line to write to

## GstVideoVBIParser

A parser for detecting and extracting GstVideoAncillary data from Vertical Blanking Interval lines of component signals.

Since : 1.16

## GstVideo.VideoVBIParser

A parser for detecting and extracting GstVideoAncillary data from Vertical Blanking Interval lines of component signals.

Since : 1.16

## GstVideo.VideoVBIParser

A parser for detecting and extracting GstVideoAncillary data from Vertical Blanking Interval lines of component signals.

Since : 1.16

### Constructors

#### gst_video_vbi_parser_new

    GstVideoVBIParser *
    gst_video_vbi_parser_new (GstVideoFormat format,
                              guint32 pixel_width)

Create a new GstVideoVBIParser for the specified format and pixel_width.

Parameters:

`format` –

a GstVideoFormat

`pixel_width` –

The width in pixel to use

Returns ( [nullable]) –

The new GstVideoVBIParser or NULL if the format and/or pixel_width is not supported.

Since : 1.16

#### GstVideo.VideoVBIParser.prototype.new

    function GstVideo.VideoVBIParser.prototype.new(format: GstVideo.VideoFormat, pixel_width: Number): {
        // javascript wrapper for 'gst_video_vbi_parser_new'
    }

Create a new GstVideo.VideoVBIParser for the specified format and pixel_width.

Parameters:

`format` (GstVideo.VideoFormat) –

a GstVideo.VideoFormat

`pixel_width` (Number) –

The width in pixel to use

Returns (GstVideo.VideoVBIParser) –

The new GstVideo.VideoVBIParser or null if the format and/or pixel_width is not supported.

Since : 1.16

#### GstVideo.VideoVBIParser.new

    def GstVideo.VideoVBIParser.new (format, pixel_width):
        #python wrapper for 'gst_video_vbi_parser_new'

Create a new GstVideo.VideoVBIParser for the specified format and pixel_width.

Parameters:

`format` (GstVideo.VideoFormat) –

a GstVideo.VideoFormat

`pixel_width` (int) –

The width in pixel to use

Returns (GstVideo.VideoVBIParser) –

The new GstVideo.VideoVBIParser or None if the format and/or pixel_width is not supported.

Since : 1.16

### Methods

#### gst_video_vbi_parser_add_line

    gst_video_vbi_parser_add_line (GstVideoVBIParser * parser,
                                   const guint8 * data)

Provide a new line of data to the parser. Call gst_video_vbi_parser_get_ancillary to get the Ancillary data that might be present on that line.

Parameters:

`parser` –

a GstVideoVBIParser

`data` ( [array][transfer: none]) –

The line of data to parse

Since : 1.16

#### GstVideo.VideoVBIParser.prototype.add_line

    function GstVideo.VideoVBIParser.prototype.add_line(data: [ Number ]): {
        // javascript wrapper for 'gst_video_vbi_parser_add_line'
    }

Provide a new line of data to the parser. Call GstVideo.VideoVBIParser.prototype.get_ancillary to get the Ancillary data that might be present on that line.

Parameters:

`parser` (GstVideo.VideoVBIParser) –

a GstVideo.VideoVBIParser

`data` ([ Number ]) –

The line of data to parse

Since : 1.16

#### GstVideo.VideoVBIParser.add_line

    def GstVideo.VideoVBIParser.add_line (self, data):
        #python wrapper for 'gst_video_vbi_parser_add_line'

Provide a new line of data to the parser. Call GstVideo.VideoVBIParser.get_ancillary to get the Ancillary data that might be present on that line.

Parameters:

`parser` (GstVideo.VideoVBIParser) –

a GstVideo.VideoVBIParser

`data` ([ int ]) –

The line of data to parse

Since : 1.16

#### gst_video_vbi_parser_copy

    GstVideoVBIParser *
    gst_video_vbi_parser_copy (const GstVideoVBIParser * parser)

Parameters:

`parser` –
No description available
Returns –
No description available

#### GstVideo.VideoVBIParser.prototype.copy

    function GstVideo.VideoVBIParser.prototype.copy(): {
        // javascript wrapper for 'gst_video_vbi_parser_copy'
    }

Parameters:

`parser` (GstVideo.VideoVBIParser) –
No description available
Returns (GstVideo.VideoVBIParser) –
No description available

#### GstVideo.VideoVBIParser.copy

    def GstVideo.VideoVBIParser.copy (self):
        #python wrapper for 'gst_video_vbi_parser_copy'

Parameters:

`parser` (GstVideo.VideoVBIParser) –
No description available
Returns (GstVideo.VideoVBIParser) –
No description available

#### gst_video_vbi_parser_free

    gst_video_vbi_parser_free (GstVideoVBIParser * parser)

Frees the parser.

Parameters:

`parser` –

a GstVideoVBIParser

Since : 1.16

#### GstVideo.VideoVBIParser.prototype.free

    function GstVideo.VideoVBIParser.prototype.free(): {
        // javascript wrapper for 'gst_video_vbi_parser_free'
    }

Frees the parser.

Parameters:

`parser` (GstVideo.VideoVBIParser) –

a GstVideo.VideoVBIParser

Since : 1.16

#### GstVideo.VideoVBIParser.free

    def GstVideo.VideoVBIParser.free (self):
        #python wrapper for 'gst_video_vbi_parser_free'

Frees the parser.

Parameters:

`parser` (GstVideo.VideoVBIParser) –

a GstVideo.VideoVBIParser

Since : 1.16

#### gst_video_vbi_parser_get_ancillary

    GstVideoVBIParserResult
    gst_video_vbi_parser_get_ancillary (GstVideoVBIParser * parser,
                                        GstVideoAncillary * anc)

Parse the line provided previously by gst_video_vbi_parser_add_line.

Parameters:

`parser` –

a GstVideoVBIParser

`anc` ( [out]) –

a GstVideoAncillary to start the eventual ancillary data

Returns –

GST_VIDEO_VBI_PARSER_RESULT_OK if ancillary data was found and anc was filled. GST_VIDEO_VBI_PARSER_RESULT_DONE if there wasn't any data.

Since : 1.16

#### GstVideo.VideoVBIParser.prototype.get_ancillary

    function GstVideo.VideoVBIParser.prototype.get_ancillary(): {
        // javascript wrapper for 'gst_video_vbi_parser_get_ancillary'
    }

Parse the line provided previously by GstVideo.VideoVBIParser.prototype.add_line.

Parameters:

`parser` (GstVideo.VideoVBIParser) –

a GstVideo.VideoVBIParser

Returns a tuple made of:

(GstVideo.VideoVBIParserResult ) –

GstVideo.VideoVBIParserResult.OK if ancillary data was found and anc was filled. GstVideo.VideoVBIParserResult.DONE if there wasn't any data.

`anc` (GstVideo.VideoAncillary ) –

GstVideo.VideoVBIParserResult.OK if ancillary data was found and anc was filled. GstVideo.VideoVBIParserResult.DONE if there wasn't any data.

Since : 1.16

#### GstVideo.VideoVBIParser.get_ancillary

    def GstVideo.VideoVBIParser.get_ancillary (self):
        #python wrapper for 'gst_video_vbi_parser_get_ancillary'

Parse the line provided previously by GstVideo.VideoVBIParser.add_line.

Parameters:

`parser` (GstVideo.VideoVBIParser) –

a GstVideo.VideoVBIParser

Returns a tuple made of:

(GstVideo.VideoVBIParserResult ) –

GstVideo.VideoVBIParserResult.OK if ancillary data was found and anc was filled. GstVideo.VideoVBIParserResult.DONE if there wasn't any data.

`anc` (GstVideo.VideoAncillary ) –

GstVideo.VideoVBIParserResult.OK if ancillary data was found and anc was filled. GstVideo.VideoVBIParserResult.DONE if there wasn't any data.

Since : 1.16

## Functions

### gst_buffer_add_ancillary_meta

    GstAncillaryMeta *
    gst_buffer_add_ancillary_meta (GstBuffer * buffer)

Adds a new GstAncillaryMeta to the buffer. The caller is responsible for setting the appropriate fields.

Parameters:

`buffer` –

A GstBuffer

Returns ( [transfer: none]) –

A new GstAncillaryMeta, or NULL if an error happened.

Since : 1.24

### GstVideo.prototype.buffer_add_ancillary_meta

    function GstVideo.prototype.buffer_add_ancillary_meta(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_buffer_add_ancillary_meta'
    }

Adds a new GstVideo.AncillaryMeta to the buffer. The caller is responsible for setting the appropriate fields.

Parameters:

`buffer` (Gst.Buffer) –

A Gst.Buffer

Returns (GstVideo.AncillaryMeta) –

A new GstVideo.AncillaryMeta, or null if an error happened.

Since : 1.24

### GstVideo.buffer_add_ancillary_meta

    def GstVideo.buffer_add_ancillary_meta (buffer):
        #python wrapper for 'gst_buffer_add_ancillary_meta'

Adds a new GstVideo.AncillaryMeta to the buffer. The caller is responsible for setting the appropriate fields.

Parameters:

`buffer` (Gst.Buffer) –

A Gst.Buffer

Returns (GstVideo.AncillaryMeta) –

A new GstVideo.AncillaryMeta, or None if an error happened.

Since : 1.24

### gst_buffer_add_video_afd_meta

    GstVideoAFDMeta *
    gst_buffer_add_video_afd_meta (GstBuffer * buffer,
                                   guint8 field,
                                   GstVideoAFDSpec spec,
                                   GstVideoAFDValue afd)

Attaches GstVideoAFDMeta metadata to buffer with the given parameters.

Parameters:

`buffer` –

a GstBuffer

`field` –

0 for progressive or field 1 and 1 for field 2

`spec` –

GstVideoAFDSpec that applies to AFD value

`afd` –

GstVideoAFDValue AFD enumeration

Returns ( [transfer: none]) –

the GstVideoAFDMeta on buffer.

Since : 1.18

### GstVideo.prototype.buffer_add_video_afd_meta

    function GstVideo.prototype.buffer_add_video_afd_meta(buffer: Gst.Buffer, field: Number, spec: GstVideo.VideoAFDSpec, afd: GstVideo.VideoAFDValue): {
        // javascript wrapper for 'gst_buffer_add_video_afd_meta'
    }

Attaches GstVideo.VideoAFDMeta metadata to buffer with the given parameters.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`field` (Number) –

0 for progressive or field 1 and 1 for field 2

`spec` (GstVideo.VideoAFDSpec) –

GstVideo.VideoAFDSpec that applies to AFD value

`afd` (GstVideo.VideoAFDValue) –

GstVideo.VideoAFDValue AFD enumeration

Returns (GstVideo.VideoAFDMeta) –

the GstVideo.VideoAFDMeta on buffer.

Since : 1.18

### GstVideo.buffer_add_video_afd_meta

    def GstVideo.buffer_add_video_afd_meta (buffer, field, spec, afd):
        #python wrapper for 'gst_buffer_add_video_afd_meta'

Attaches GstVideo.VideoAFDMeta metadata to buffer with the given parameters.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`field` (int) –

0 for progressive or field 1 and 1 for field 2

`spec` (GstVideo.VideoAFDSpec) –

GstVideo.VideoAFDSpec that applies to AFD value

`afd` (GstVideo.VideoAFDValue) –

GstVideo.VideoAFDValue AFD enumeration

Returns (GstVideo.VideoAFDMeta) –

the GstVideo.VideoAFDMeta on buffer.

Since : 1.18

### gst_buffer_add_video_bar_meta

    GstVideoBarMeta *
    gst_buffer_add_video_bar_meta (GstBuffer * buffer,
                                   guint8 field,
                                   gboolean is_letterbox,
                                   guint bar_data1,
                                   guint bar_data2)

Attaches GstVideoBarMeta metadata to buffer with the given parameters.

Parameters:

`buffer` –

a GstBuffer

`field` –

0 for progressive or field 1 and 1 for field 2

`is_letterbox` –

if true then bar data specifies letterbox, otherwise pillarbox

`bar_data1` –

If is_letterbox is true, then the value specifies the last line of a horizontal letterbox bar area at top of reconstructed frame. Otherwise, it specifies the last horizontal luminance sample of a vertical pillarbox bar area at the left side of the reconstructed frame

`bar_data2` –

If is_letterbox is true, then the value specifies the first line of a horizontal letterbox bar area at bottom of reconstructed frame. Otherwise, it specifies the first horizontal luminance sample of a vertical pillarbox bar area at the right side of the reconstructed frame.

Returns ( [transfer: none]) –

the GstVideoBarMeta on buffer.

See Table 6.11 Bar Data Syntax

https://www.atsc.org/wp-content/uploads/2015/03/a_53-Part-4-2009.pdf

Since : 1.18

### GstVideo.prototype.buffer_add_video_bar_meta

    function GstVideo.prototype.buffer_add_video_bar_meta(buffer: Gst.Buffer, field: Number, is_letterbox: Number, bar_data1: Number, bar_data2: Number): {
        // javascript wrapper for 'gst_buffer_add_video_bar_meta'
    }

Attaches GstVideo.VideoBarMeta metadata to buffer with the given parameters.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`field` (Number) –

0 for progressive or field 1 and 1 for field 2

`is_letterbox` (Number) –

if true then bar data specifies letterbox, otherwise pillarbox

`bar_data1` (Number) –

If is_letterbox is true, then the value specifies the last line of a horizontal letterbox bar area at top of reconstructed frame. Otherwise, it specifies the last horizontal luminance sample of a vertical pillarbox bar area at the left side of the reconstructed frame

`bar_data2` (Number) –

If is_letterbox is true, then the value specifies the first line of a horizontal letterbox bar area at bottom of reconstructed frame. Otherwise, it specifies the first horizontal luminance sample of a vertical pillarbox bar area at the right side of the reconstructed frame.

Returns (GstVideo.VideoBarMeta) –

the GstVideo.VideoBarMeta on buffer.

See Table 6.11 Bar Data Syntax

https://www.atsc.org/wp-content/uploads/2015/03/a_53-Part-4-2009.pdf

Since : 1.18

### GstVideo.buffer_add_video_bar_meta

    def GstVideo.buffer_add_video_bar_meta (buffer, field, is_letterbox, bar_data1, bar_data2):
        #python wrapper for 'gst_buffer_add_video_bar_meta'

Attaches GstVideo.VideoBarMeta metadata to buffer with the given parameters.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`field` (int) –

0 for progressive or field 1 and 1 for field 2

`is_letterbox` (bool) –

if true then bar data specifies letterbox, otherwise pillarbox

`bar_data1` (int) –

If is_letterbox is true, then the value specifies the last line of a horizontal letterbox bar area at top of reconstructed frame. Otherwise, it specifies the last horizontal luminance sample of a vertical pillarbox bar area at the left side of the reconstructed frame

`bar_data2` (int) –

If is_letterbox is true, then the value specifies the first line of a horizontal letterbox bar area at bottom of reconstructed frame. Otherwise, it specifies the first horizontal luminance sample of a vertical pillarbox bar area at the right side of the reconstructed frame.

Returns (GstVideo.VideoBarMeta) –

the GstVideo.VideoBarMeta on buffer.

See Table 6.11 Bar Data Syntax

https://www.atsc.org/wp-content/uploads/2015/03/a_53-Part-4-2009.pdf

Since : 1.18

### gst_buffer_add_video_caption_meta

    GstVideoCaptionMeta *
    gst_buffer_add_video_caption_meta (GstBuffer * buffer,
                                       GstVideoCaptionType caption_type,
                                       const guint8 * data,
                                       gsize size)

Attaches GstVideoCaptionMeta metadata to buffer with the given parameters.

Parameters:

`buffer` –

a GstBuffer

`caption_type` –

The type of Closed Caption to add

`data` ( [array length=size][transfer: none]) –

The Closed Caption data

`size` –

The size of data in bytes

Returns ( [transfer: none]) –

the GstVideoCaptionMeta on buffer.

Since : 1.16

### GstVideo.prototype.buffer_add_video_caption_meta

    function GstVideo.prototype.buffer_add_video_caption_meta(buffer: Gst.Buffer, caption_type: GstVideo.VideoCaptionType, data: [ Number ], size: Number): {
        // javascript wrapper for 'gst_buffer_add_video_caption_meta'
    }

Attaches GstVideo.VideoCaptionMeta metadata to buffer with the given parameters.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`caption_type` (GstVideo.VideoCaptionType) –

The type of Closed Caption to add

`data` ([ Number ]) –

The Closed Caption data

`size` (Number) –

The size of data in bytes

Returns (GstVideo.VideoCaptionMeta) –

the GstVideo.VideoCaptionMeta on buffer.

Since : 1.16

### GstVideo.buffer_add_video_caption_meta

    def GstVideo.buffer_add_video_caption_meta (buffer, caption_type, data, size):
        #python wrapper for 'gst_buffer_add_video_caption_meta'

Attaches GstVideo.VideoCaptionMeta metadata to buffer with the given parameters.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`caption_type` (GstVideo.VideoCaptionType) –

The type of Closed Caption to add

`data` ([ int ]) –

The Closed Caption data

`size` (int) –

The size of data in bytes

Returns (GstVideo.VideoCaptionMeta) –

the GstVideo.VideoCaptionMeta on buffer.

Since : 1.16

### gst_video_afd_meta_api_get_type

    GType
    gst_video_afd_meta_api_get_type ()

Returns –
No description available

### GstVideo.prototype.video_afd_meta_api_get_type

    function GstVideo.prototype.video_afd_meta_api_get_type(): {
        // javascript wrapper for 'gst_video_afd_meta_api_get_type'
    }

Returns (GObject.Type) –
No description available

### GstVideo.video_afd_meta_api_get_type

    def GstVideo.video_afd_meta_api_get_type ():
        #python wrapper for 'gst_video_afd_meta_api_get_type'

Returns (GObject.Type) –
No description available

### gst_video_bar_meta_api_get_type

    GType
    gst_video_bar_meta_api_get_type ()

Returns –
No description available

### GstVideo.prototype.video_bar_meta_api_get_type

    function GstVideo.prototype.video_bar_meta_api_get_type(): {
        // javascript wrapper for 'gst_video_bar_meta_api_get_type'
    }

Returns (GObject.Type) –
No description available

### GstVideo.video_bar_meta_api_get_type

    def GstVideo.video_bar_meta_api_get_type ():
        #python wrapper for 'gst_video_bar_meta_api_get_type'

Returns (GObject.Type) –
No description available

### gst_video_caption_meta_api_get_type

    GType
    gst_video_caption_meta_api_get_type ()

Returns –
No description available

### GstVideo.prototype.video_caption_meta_api_get_type

    function GstVideo.prototype.video_caption_meta_api_get_type(): {
        // javascript wrapper for 'gst_video_caption_meta_api_get_type'
    }

Returns (GObject.Type) –
No description available

### GstVideo.video_caption_meta_api_get_type

    def GstVideo.video_caption_meta_api_get_type ():
        #python wrapper for 'gst_video_caption_meta_api_get_type'

Returns (GObject.Type) –
No description available

### gst_video_caption_type_from_caps

    GstVideoCaptionType
    gst_video_caption_type_from_caps (const GstCaps * caps)

Parses fixed Closed Caption GstCaps and returns the corresponding caption type, or GST_VIDEO_CAPTION_TYPE_UNKNOWN.

Parameters:

`caps` –

Fixed GstCaps to parse

Returns –

GstVideoCaptionType.

Since : 1.16

### GstVideo.prototype.video_caption_type_from_caps

    function GstVideo.prototype.video_caption_type_from_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_video_caption_type_from_caps'
    }

Parses fixed Closed Caption Gst.Caps and returns the corresponding caption type, or GstVideo.VideoCaptionType.UNKNOWN.

Parameters:

`caps` (Gst.Caps) –

Fixed Gst.Caps to parse

Returns (GstVideo.VideoCaptionType) –

GstVideo.VideoCaptionType.

Since : 1.16

### GstVideo.video_caption_type_from_caps

    def GstVideo.video_caption_type_from_caps (caps):
        #python wrapper for 'gst_video_caption_type_from_caps'

Parses fixed Closed Caption Gst.Caps and returns the corresponding caption type, or GstVideo.VideoCaptionType.UNKNOWN.

Parameters:

`caps` (Gst.Caps) –

Fixed Gst.Caps to parse

Returns (GstVideo.VideoCaptionType) –

GstVideo.VideoCaptionType.

Since : 1.16

### gst_video_caption_type_to_caps

    GstCaps *
    gst_video_caption_type_to_caps (GstVideoCaptionType type)

Creates new caps corresponding to type.

Parameters:

`type` –

GstVideoCaptionType

Returns ( [transfer: full]) –

new GstCaps

Since : 1.16

### GstVideo.prototype.video_caption_type_to_caps

    function GstVideo.prototype.video_caption_type_to_caps(type: GstVideo.VideoCaptionType): {
        // javascript wrapper for 'gst_video_caption_type_to_caps'
    }

Creates new caps corresponding to type.

Parameters:

`type` (GstVideo.VideoCaptionType) –

GstVideo.VideoCaptionType

Returns (Gst.Caps) –

new Gst.Caps

Since : 1.16

### GstVideo.video_caption_type_to_caps

    def GstVideo.video_caption_type_to_caps (type):
        #python wrapper for 'gst_video_caption_type_to_caps'

Creates new caps corresponding to type.

Parameters:

`type` (GstVideo.VideoCaptionType) –

GstVideo.VideoCaptionType

Returns (Gst.Caps) –

new Gst.Caps

Since : 1.16

## Function Macros

### GST_VIDEO_ANCILLARY_DID16

    #define GST_VIDEO_ANCILLARY_DID16(anc) ((guint16)((anc)->DID) << 8 | (guint16)((anc)->SDID_block_number))

Returns the GstVideoAncillaryDID16 of the ancillary data.

Parameters:

`anc` –

a GstVideoAncillary

Returns –

a GstVideoAncillaryDID16 identifier

Since : 1.16

### gst_buffer_get_ancillary_meta

    #define gst_buffer_get_ancillary_meta(b) \
      ((GstAncillaryMeta*)gst_buffer_get_meta((b), GST_ANCILLARY_META_API_TYPE)

Gets the GstAncillaryMeta that might be present on b.

Note: It is quite likely that there might be more than one ancillary meta on a given buffer. This function will only return the first one. See gst_buffer_iterate_ancillary_meta for a way to iterate over all ancillary metas of the buffer.

Parameters:

`b` –

A GstBuffer

Returns –

The first GstAncillaryMeta present on b, or NULL if none are present.

Since : 1.24

### gst_buffer_get_video_afd_meta

    #define gst_buffer_get_video_afd_meta(b) \
            ((GstVideoAFDMeta*)gst_buffer_get_meta((b),GST_VIDEO_AFD_META_API_TYPE))

Gets the GstVideoAFDMeta that might be present on b.

Note: there may be two GstVideoAFDMeta structs for interlaced video.

Parameters:

`b` –

A GstBuffer

Returns ( [nullable]) –

The first GstVideoAFDMeta present on b, or NULL if no GstVideoAFDMeta are present

Since : 1.18

### gst_buffer_get_video_bar_meta

    #define gst_buffer_get_video_bar_meta(b) \
            ((GstVideoBarMeta*)gst_buffer_get_meta((b),GST_VIDEO_BAR_META_API_TYPE))

Gets the GstVideoBarMeta that might be present on b.

Parameters:

`b` –

A GstBuffer

Returns ( [nullable]) –

The first GstVideoBarMeta present on b, or NULL if no GstVideoBarMeta are present

Since : 1.18

### gst_buffer_get_video_caption_meta

    #define gst_buffer_get_video_caption_meta(b) \
            ((GstVideoCaptionMeta*)gst_buffer_get_meta((b),GST_VIDEO_CAPTION_META_API_TYPE))

Gets the GstVideoCaptionMeta that might be present on b.

Parameters:

`b` –

A GstBuffer

Returns ( [nullable]) –

The first GstVideoCaptionMeta present on b, or NULL if no GstVideoCaptionMeta are present

Since : 1.16

### gst_buffer_iterate_ancillary_meta

    #define gst_buffer_iterate_ancillary_meta(b, s) \
      ((GstAncillaryMeta*)gst_buffer_iterate_meta_filtered((b), (s), GST_ANCILLARY_META_API_TYPE))

Retrieves the next GstAncillaryMeta after the current one according to s. If s points to NULL, the first GstAncillaryMeta will be returned (if any).

s will be updated with an opaque state pointer.

Parameters:

`b` –

A GstBuffer

`s` ( [out]) –

An opaque state pointer

Returns ( [transfer: none][nullable]) –

The next GstAncillaryMeta present on b or NULL when there are no more items.

Since : 1.24

## Enumerations

### GstAncillaryMetaField

Location of a GstAncillaryMeta.

##### Members

`GST_ANCILLARY_META_FIELD_PROGRESSIVE` (0) –

Progressive or no field specified (default)

`GST_ANCILLARY_META_FIELD_INTERLACED_FIRST` (16) –

Interlaced first field

`GST_ANCILLARY_META_FIELD_INTERLACED_SECOND` (17) –

Interlaced second field

Since : 1.24

### GstVideo.AncillaryMetaField

Location of a GstAncillaryMeta.

##### Members

`GstVideo.AncillaryMetaField.PROGRESSIVE` (0) –

Progressive or no field specified (default)

`GstVideo.AncillaryMetaField.INTERLACED_FIRST` (16) –

Interlaced first field

`GstVideo.AncillaryMetaField.INTERLACED_SECOND` (17) –

Interlaced second field

Since : 1.24

### GstVideo.AncillaryMetaField

Location of a GstAncillaryMeta.

##### Members

`GstVideo.AncillaryMetaField.PROGRESSIVE` (0) –

Progressive or no field specified (default)

`GstVideo.AncillaryMetaField.INTERLACED_FIRST` (16) –

Interlaced first field

`GstVideo.AncillaryMetaField.INTERLACED_SECOND` (17) –

Interlaced second field

Since : 1.24

### GstVideoAFDSpec

Enumeration of the different standards that may apply to AFD data:

0. ETSI/DVB: https://www.etsi.org/deliver/etsi_ts/101100_101199/101154/02.01.01_60/ts_101154v020101p.pdf

1. ATSC A/53: https://www.atsc.org/wp-content/uploads/2015/03/a_53-Part-4-2009.pdf

2. SMPTE ST2016-1:

##### Members

`GST_VIDEO_AFD_SPEC_DVB_ETSI` (0) –

AFD value is from DVB/ETSI standard

`GST_VIDEO_AFD_SPEC_ATSC_A53` (1) –

AFD value is from ATSC A/53 standard

`GST_VIDEO_AFD_SPEC_SMPTE_ST2016_1` (2) –
No description available

Since : 1.18

### GstVideo.VideoAFDSpec

Enumeration of the different standards that may apply to AFD data:

0. ETSI/DVB: https://www.etsi.org/deliver/etsi_ts/101100_101199/101154/02.01.01_60/ts_101154v020101p.pdf

1. ATSC A/53: https://www.atsc.org/wp-content/uploads/2015/03/a_53-Part-4-2009.pdf

2. SMPTE ST2016-1:

##### Members

`GstVideo.VideoAFDSpec.DVB_ETSI` (0) –

AFD value is from DVB/ETSI standard

`GstVideo.VideoAFDSpec.ATSC_A53` (1) –

AFD value is from ATSC A/53 standard

`GstVideo.VideoAFDSpec.SMPTE_ST2016_1` (2) –
No description available

Since : 1.18

### GstVideo.VideoAFDSpec

Enumeration of the different standards that may apply to AFD data:

0. ETSI/DVB: https://www.etsi.org/deliver/etsi_ts/101100_101199/101154/02.01.01_60/ts_101154v020101p.pdf

1. ATSC A/53: https://www.atsc.org/wp-content/uploads/2015/03/a_53-Part-4-2009.pdf

2. SMPTE ST2016-1:

##### Members

`GstVideo.VideoAFDSpec.DVB_ETSI` (0) –

AFD value is from DVB/ETSI standard

`GstVideo.VideoAFDSpec.ATSC_A53` (1) –

AFD value is from ATSC A/53 standard

`GstVideo.VideoAFDSpec.SMPTE_ST2016_1` (2) –
No description available

Since : 1.18

### GstVideoAFDValue

Enumeration of the various values for Active Format Description (AFD)

AFD should be included in video user data whenever the rectangular picture area containing useful information does not extend to the full height or width of the coded frame. AFD data may also be included in user data when the rectangular picture area containing useful information extends to the full height and width of the coded frame.

For details, see Table 6.14 Active Format in:

ATSC Digital Television Standard: Part 4 – MPEG-2 Video System Characteristics

https://www.atsc.org/wp-content/uploads/2015/03/a_53-Part-4-2009.pdf

and Active Format Description in Complete list of AFD codes

https://en.wikipedia.org/wiki/Active_Format_Description#Complete_list_of_AFD_codes

and SMPTE ST2016-1

Notes:

1. AFD 0 is undefined for ATSC and SMPTE ST2016-1, indicating that AFD data is not available: If Bar Data is not present, AFD '0000' indicates that exact information is not available and the active image should be assumed to be the same as the coded frame. AFD '0000'. AFD '0000' accompanied by Bar Data signals that the active image’s aspect ratio is narrower than 16:9, but is not 4:3 or 14:9. As the exact aspect ratio cannot be conveyed by AFD alone, wherever possible, AFD ‘0000’ should be accompanied by Bar Data to define the exact vertical or horizontal extent of the active image.
2. AFD 0 is reserved for DVB/ETSI
3. values 1, 5, 6, 7, and 12 are reserved for both ATSC and DVB/ETSI
4. values 2 and 3 are not recommended for ATSC, but are valid for DVB/ETSI

##### Members

`GST_VIDEO_AFD_UNAVAILABLE` (0) –

Unavailable (see note 0 below).

`GST_VIDEO_AFD_16_9_TOP_ALIGNED` (2) –

For 4:3 coded frame, letterbox 16:9 image, at top of the coded frame. For 16:9 coded frame, full frame 16:9 image, the same as the coded frame.

`GST_VIDEO_AFD_14_9_TOP_ALIGNED` (3) –

For 4:3 coded frame, letterbox 14:9 image, at top of the coded frame. For 16:9 coded frame, pillarbox 14:9 image, horizontally centered in the coded frame.

`GST_VIDEO_AFD_GREATER_THAN_16_9` (4) –

For 4:3 coded frame, letterbox image with an aspect ratio greater than 16:9, vertically centered in the coded frame. For 16:9 coded frame, letterbox image with an aspect ratio greater than 16:9.

`GST_VIDEO_AFD_4_3_FULL_16_9_FULL` (8) –

For 4:3 coded frame, full frame 4:3 image, the same as the coded frame. For 16:9 coded frame, full frame 16:9 image, the same as the coded frame.

`GST_VIDEO_AFD_4_3_FULL_4_3_PILLAR` (9) –

For 4:3 coded frame, full frame 4:3 image, the same as the coded frame. For 16:9 coded frame, pillarbox 4:3 image, horizontally centered in the coded frame.

`GST_VIDEO_AFD_16_9_LETTER_16_9_FULL` (10) –

For 4:3 coded frame, letterbox 16:9 image, vertically centered in the coded frame with all image areas protected. For 16:9 coded frame, full frame 16:9 image, with all image areas protected.

`GST_VIDEO_AFD_14_9_LETTER_14_9_PILLAR` (11) –

For 4:3 coded frame, letterbox 14:9 image, vertically centered in the coded frame. For 16:9 coded frame, pillarbox 14:9 image, horizontally centered in the coded frame.

`GST_VIDEO_AFD_4_3_FULL_14_9_CENTER` (13) –

For 4:3 coded frame, full frame 4:3 image, with alternative 14:9 center. For 16:9 coded frame, pillarbox 4:3 image, with alternative 14:9 center.

`GST_VIDEO_AFD_16_9_LETTER_14_9_CENTER` (14) –

For 4:3 coded frame, letterbox 16:9 image, with alternative 14:9 center. For 16:9 coded frame, full frame 16:9 image, with alternative 14:9 center.

`GST_VIDEO_AFD_16_9_LETTER_4_3_CENTER` (15) –

For 4:3 coded frame, letterbox 16:9 image, with alternative 4:3 center. For 16:9 coded frame, full frame 16:9 image, with alternative 4:3 center.

Since : 1.18

### GstVideo.VideoAFDValue

Enumeration of the various values for Active Format Description (AFD)

AFD should be included in video user data whenever the rectangular picture area containing useful information does not extend to the full height or width of the coded frame. AFD data may also be included in user data when the rectangular picture area containing useful information extends to the full height and width of the coded frame.

For details, see Table 6.14 Active Format in:

ATSC Digital Television Standard: Part 4 – MPEG-2 Video System Characteristics

https://www.atsc.org/wp-content/uploads/2015/03/a_53-Part-4-2009.pdf

and Active Format Description in Complete list of AFD codes

https://en.wikipedia.org/wiki/Active_Format_Description#Complete_list_of_AFD_codes

and SMPTE ST2016-1

Notes:

1. AFD 0 is undefined for ATSC and SMPTE ST2016-1, indicating that AFD data is not available: If Bar Data is not present, AFD '0000' indicates that exact information is not available and the active image should be assumed to be the same as the coded frame. AFD '0000'. AFD '0000' accompanied by Bar Data signals that the active image’s aspect ratio is narrower than 16:9, but is not 4:3 or 14:9. As the exact aspect ratio cannot be conveyed by AFD alone, wherever possible, AFD ‘0000’ should be accompanied by Bar Data to define the exact vertical or horizontal extent of the active image.
2. AFD 0 is reserved for DVB/ETSI
3. values 1, 5, 6, 7, and 12 are reserved for both ATSC and DVB/ETSI
4. values 2 and 3 are not recommended for ATSC, but are valid for DVB/ETSI

##### Members

`GstVideo.VideoAFDValue.UNAVAILABLE` (0) –

Unavailable (see note 0 below).

`GstVideo.VideoAFDValue.16_9_TOP_ALIGNED` (2) –

For 4:3 coded frame, letterbox 16:9 image, at top of the coded frame. For 16:9 coded frame, full frame 16:9 image, the same as the coded frame.

`GstVideo.VideoAFDValue.14_9_TOP_ALIGNED` (3) –

For 4:3 coded frame, letterbox 14:9 image, at top of the coded frame. For 16:9 coded frame, pillarbox 14:9 image, horizontally centered in the coded frame.

`GstVideo.VideoAFDValue.GREATER_THAN_16_9` (4) –

For 4:3 coded frame, letterbox image with an aspect ratio greater than 16:9, vertically centered in the coded frame. For 16:9 coded frame, letterbox image with an aspect ratio greater than 16:9.

`GstVideo.VideoAFDValue.4_3_FULL_16_9_FULL` (8) –

For 4:3 coded frame, full frame 4:3 image, the same as the coded frame. For 16:9 coded frame, full frame 16:9 image, the same as the coded frame.

`GstVideo.VideoAFDValue.4_3_FULL_4_3_PILLAR` (9) –

For 4:3 coded frame, full frame 4:3 image, the same as the coded frame. For 16:9 coded frame, pillarbox 4:3 image, horizontally centered in the coded frame.

`GstVideo.VideoAFDValue.16_9_LETTER_16_9_FULL` (10) –

For 4:3 coded frame, letterbox 16:9 image, vertically centered in the coded frame with all image areas protected. For 16:9 coded frame, full frame 16:9 image, with all image areas protected.

`GstVideo.VideoAFDValue.14_9_LETTER_14_9_PILLAR` (11) –

For 4:3 coded frame, letterbox 14:9 image, vertically centered in the coded frame. For 16:9 coded frame, pillarbox 14:9 image, horizontally centered in the coded frame.

`GstVideo.VideoAFDValue.4_3_FULL_14_9_CENTER` (13) –

For 4:3 coded frame, full frame 4:3 image, with alternative 14:9 center. For 16:9 coded frame, pillarbox 4:3 image, with alternative 14:9 center.

`GstVideo.VideoAFDValue.16_9_LETTER_14_9_CENTER` (14) –

For 4:3 coded frame, letterbox 16:9 image, with alternative 14:9 center. For 16:9 coded frame, full frame 16:9 image, with alternative 14:9 center.

`GstVideo.VideoAFDValue.16_9_LETTER_4_3_CENTER` (15) –

For 4:3 coded frame, letterbox 16:9 image, with alternative 4:3 center. For 16:9 coded frame, full frame 16:9 image, with alternative 4:3 center.

Since : 1.18

### GstVideo.VideoAFDValue

Enumeration of the various values for Active Format Description (AFD)

AFD should be included in video user data whenever the rectangular picture area containing useful information does not extend to the full height or width of the coded frame. AFD data may also be included in user data when the rectangular picture area containing useful information extends to the full height and width of the coded frame.

For details, see Table 6.14 Active Format in:

ATSC Digital Television Standard: Part 4 – MPEG-2 Video System Characteristics

https://www.atsc.org/wp-content/uploads/2015/03/a_53-Part-4-2009.pdf

and Active Format Description in Complete list of AFD codes

https://en.wikipedia.org/wiki/Active_Format_Description#Complete_list_of_AFD_codes

and SMPTE ST2016-1

Notes:

1. AFD 0 is undefined for ATSC and SMPTE ST2016-1, indicating that AFD data is not available: If Bar Data is not present, AFD '0000' indicates that exact information is not available and the active image should be assumed to be the same as the coded frame. AFD '0000'. AFD '0000' accompanied by Bar Data signals that the active image’s aspect ratio is narrower than 16:9, but is not 4:3 or 14:9. As the exact aspect ratio cannot be conveyed by AFD alone, wherever possible, AFD ‘0000’ should be accompanied by Bar Data to define the exact vertical or horizontal extent of the active image.
2. AFD 0 is reserved for DVB/ETSI
3. values 1, 5, 6, 7, and 12 are reserved for both ATSC and DVB/ETSI
4. values 2 and 3 are not recommended for ATSC, but are valid for DVB/ETSI

##### Members

`GstVideo.VideoAFDValue.UNAVAILABLE` (0) –

Unavailable (see note 0 below).

`GstVideo.VideoAFDValue.16_9_TOP_ALIGNED` (2) –

For 4:3 coded frame, letterbox 16:9 image, at top of the coded frame. For 16:9 coded frame, full frame 16:9 image, the same as the coded frame.

`GstVideo.VideoAFDValue.14_9_TOP_ALIGNED` (3) –

For 4:3 coded frame, letterbox 14:9 image, at top of the coded frame. For 16:9 coded frame, pillarbox 14:9 image, horizontally centered in the coded frame.

`GstVideo.VideoAFDValue.GREATER_THAN_16_9` (4) –

For 4:3 coded frame, letterbox image with an aspect ratio greater than 16:9, vertically centered in the coded frame. For 16:9 coded frame, letterbox image with an aspect ratio greater than 16:9.

`GstVideo.VideoAFDValue.4_3_FULL_16_9_FULL` (8) –

For 4:3 coded frame, full frame 4:3 image, the same as the coded frame. For 16:9 coded frame, full frame 16:9 image, the same as the coded frame.

`GstVideo.VideoAFDValue.4_3_FULL_4_3_PILLAR` (9) –

For 4:3 coded frame, full frame 4:3 image, the same as the coded frame. For 16:9 coded frame, pillarbox 4:3 image, horizontally centered in the coded frame.

`GstVideo.VideoAFDValue.16_9_LETTER_16_9_FULL` (10) –

For 4:3 coded frame, letterbox 16:9 image, vertically centered in the coded frame with all image areas protected. For 16:9 coded frame, full frame 16:9 image, with all image areas protected.

`GstVideo.VideoAFDValue.14_9_LETTER_14_9_PILLAR` (11) –

For 4:3 coded frame, letterbox 14:9 image, vertically centered in the coded frame. For 16:9 coded frame, pillarbox 14:9 image, horizontally centered in the coded frame.

`GstVideo.VideoAFDValue.4_3_FULL_14_9_CENTER` (13) –

For 4:3 coded frame, full frame 4:3 image, with alternative 14:9 center. For 16:9 coded frame, pillarbox 4:3 image, with alternative 14:9 center.

`GstVideo.VideoAFDValue.16_9_LETTER_14_9_CENTER` (14) –

For 4:3 coded frame, letterbox 16:9 image, with alternative 14:9 center. For 16:9 coded frame, full frame 16:9 image, with alternative 14:9 center.

`GstVideo.VideoAFDValue.16_9_LETTER_4_3_CENTER` (15) –

For 4:3 coded frame, letterbox 16:9 image, with alternative 4:3 center. For 16:9 coded frame, full frame 16:9 image, with alternative 4:3 center.

Since : 1.18

### GstVideoAncillaryDID

##### Members

`GST_VIDEO_ANCILLARY_DID_UNDEFINED` (0) –
No description available
`GST_VIDEO_ANCILLARY_DID_DELETION` (128) –
No description available
`GST_VIDEO_ANCILLARY_DID_HANC_3G_AUDIO_DATA_FIRST` (160) –
No description available
`GST_VIDEO_ANCILLARY_DID_HANC_3G_AUDIO_DATA_LAST` (167) –
No description available
`GST_VIDEO_ANCILLARY_DID_HANC_HDTV_AUDIO_DATA_FIRST` (224) –
No description available
`GST_VIDEO_ANCILLARY_DID_HANC_HDTV_AUDIO_DATA_LAST` (231) –
No description available
`GST_VIDEO_ANCILLARY_DID_HANC_SDTV_AUDIO_DATA_1_FIRST` (236) –
No description available
`GST_VIDEO_ANCILLARY_DID_HANC_SDTV_AUDIO_DATA_1_LAST` (239) –
No description available
`GST_VIDEO_ANCILLARY_DID_CAMERA_POSITION` (240) –
No description available
`GST_VIDEO_ANCILLARY_DID_HANC_ERROR_DETECTION` (244) –
No description available
`GST_VIDEO_ANCILLARY_DID_HANC_SDTV_AUDIO_DATA_2_FIRST` (248) –
No description available
`GST_VIDEO_ANCILLARY_DID_HANC_SDTV_AUDIO_DATA_2_LAST` (255) –
No description available

Since : 1.16

### GstVideo.VideoAncillaryDID

##### Members

`GstVideo.VideoAncillaryDID.UNDEFINED` (0) –
No description available
`GstVideo.VideoAncillaryDID.DELETION` (128) –
No description available
`GstVideo.VideoAncillaryDID.HANC_3G_AUDIO_DATA_FIRST` (160) –
No description available
`GstVideo.VideoAncillaryDID.HANC_3G_AUDIO_DATA_LAST` (167) –
No description available
`GstVideo.VideoAncillaryDID.HANC_HDTV_AUDIO_DATA_FIRST` (224) –
No description available
`GstVideo.VideoAncillaryDID.HANC_HDTV_AUDIO_DATA_LAST` (231) –
No description available
`GstVideo.VideoAncillaryDID.HANC_SDTV_AUDIO_DATA_1_FIRST` (236) –
No description available
`GstVideo.VideoAncillaryDID.HANC_SDTV_AUDIO_DATA_1_LAST` (239) –
No description available
`GstVideo.VideoAncillaryDID.CAMERA_POSITION` (240) –
No description available
`GstVideo.VideoAncillaryDID.HANC_ERROR_DETECTION` (244) –
No description available
`GstVideo.VideoAncillaryDID.HANC_SDTV_AUDIO_DATA_2_FIRST` (248) –
No description available
`GstVideo.VideoAncillaryDID.HANC_SDTV_AUDIO_DATA_2_LAST` (255) –
No description available

Since : 1.16

### GstVideo.VideoAncillaryDID

##### Members

`GstVideo.VideoAncillaryDID.UNDEFINED` (0) –
No description available
`GstVideo.VideoAncillaryDID.DELETION` (128) –
No description available
`GstVideo.VideoAncillaryDID.HANC_3G_AUDIO_DATA_FIRST` (160) –
No description available
`GstVideo.VideoAncillaryDID.HANC_3G_AUDIO_DATA_LAST` (167) –
No description available
`GstVideo.VideoAncillaryDID.HANC_HDTV_AUDIO_DATA_FIRST` (224) –
No description available
`GstVideo.VideoAncillaryDID.HANC_HDTV_AUDIO_DATA_LAST` (231) –
No description available
`GstVideo.VideoAncillaryDID.HANC_SDTV_AUDIO_DATA_1_FIRST` (236) –
No description available
`GstVideo.VideoAncillaryDID.HANC_SDTV_AUDIO_DATA_1_LAST` (239) –
No description available
`GstVideo.VideoAncillaryDID.CAMERA_POSITION` (240) –
No description available
`GstVideo.VideoAncillaryDID.HANC_ERROR_DETECTION` (244) –
No description available
`GstVideo.VideoAncillaryDID.HANC_SDTV_AUDIO_DATA_2_FIRST` (248) –
No description available
`GstVideo.VideoAncillaryDID.HANC_SDTV_AUDIO_DATA_2_LAST` (255) –
No description available

Since : 1.16

### GstVideoAncillaryDID16

Some know types of Ancillary Data identifiers.

##### Members

`GST_VIDEO_ANCILLARY_DID16_S334_EIA_708` (24833) –

CEA 708 Ancillary data according to SMPTE 334

`GST_VIDEO_ANCILLARY_DID16_S334_EIA_608` (24834) –

CEA 608 Ancillary data according to SMPTE 334

`GST_VIDEO_ANCILLARY_DID16_S2016_3_AFD_BAR` (16645) –

AFD/Bar Ancillary data according to SMPTE 2016-3 (Since: 1.18)

Since : 1.16

### GstVideo.VideoAncillaryDID16

Some know types of Ancillary Data identifiers.

##### Members

`GstVideo.VideoAncillaryDID16.S334_EIA_708` (24833) –

CEA 708 Ancillary data according to SMPTE 334

`GstVideo.VideoAncillaryDID16.S334_EIA_608` (24834) –

CEA 608 Ancillary data according to SMPTE 334

`GstVideo.VideoAncillaryDID16.S2016_3_AFD_BAR` (16645) –

AFD/Bar Ancillary data according to SMPTE 2016-3 (Since: 1.18)

Since : 1.16

### GstVideo.VideoAncillaryDID16

Some know types of Ancillary Data identifiers.

##### Members

`GstVideo.VideoAncillaryDID16.S334_EIA_708` (24833) –

CEA 708 Ancillary data according to SMPTE 334

`GstVideo.VideoAncillaryDID16.S334_EIA_608` (24834) –

CEA 608 Ancillary data according to SMPTE 334

`GstVideo.VideoAncillaryDID16.S2016_3_AFD_BAR` (16645) –

AFD/Bar Ancillary data according to SMPTE 2016-3 (Since: 1.18)

Since : 1.16

### GstVideoCaptionType

The various known types of Closed Caption (CC).

##### Members

`GST_VIDEO_CAPTION_TYPE_UNKNOWN` (0) –

Unknown type of CC

`GST_VIDEO_CAPTION_TYPE_CEA608_RAW` (1) –

CEA-608 as byte pairs. Note that this format is not recommended since is does not specify to which field the caption comes from and therefore assumes it comes from the first field (and that there is no information on the second field). Use GST_VIDEO_CAPTION_TYPE_CEA708_RAW if you wish to store CEA-608 from two fields and prefix each byte pair with 0xFC for the first field and 0xFD for the second field.

`GST_VIDEO_CAPTION_TYPE_CEA608_S334_1A` (2) –

CEA-608 as byte triplets as defined in SMPTE S334-1 Annex A. The second and third byte of the byte triplet is the raw CEA608 data, the first byte is a bitfield: The top/7th bit is 0 for the second field, 1 for the first field, bit 6 and 5 are 0 and bits 4 to 0 are a 5 bit unsigned integer that represents the line offset relative to the base-line of the original image format (line 9 for 525-line field 1, line 272 for 525-line field 2, line 5 for 625-line field 1 and line 318 for 625-line field 2).

`GST_VIDEO_CAPTION_TYPE_CEA708_RAW` (3) –

CEA-708 as cc_data byte triplets. They can also contain 608-in-708 and the first byte of each triplet has to be inspected for detecting the type.

`GST_VIDEO_CAPTION_TYPE_CEA708_CDP` (4) –

CEA-708 (and optionally CEA-608) in a CDP (Caption Distribution Packet) defined by SMPTE S-334-2. Contains the whole CDP (starting with 0x9669).

Since : 1.16

### GstVideo.VideoCaptionType

The various known types of Closed Caption (CC).

##### Members

`GstVideo.VideoCaptionType.UNKNOWN` (0) –

Unknown type of CC

`GstVideo.VideoCaptionType.CEA608_RAW` (1) –

CEA-608 as byte pairs. Note that this format is not recommended since is does not specify to which field the caption comes from and therefore assumes it comes from the first field (and that there is no information on the second field). Use GST_VIDEO_CAPTION_TYPE_CEA708_RAW if you wish to store CEA-608 from two fields and prefix each byte pair with 0xFC for the first field and 0xFD for the second field.

`GstVideo.VideoCaptionType.CEA608_S334_1A` (2) –

CEA-608 as byte triplets as defined in SMPTE S334-1 Annex A. The second and third byte of the byte triplet is the raw CEA608 data, the first byte is a bitfield: The top/7th bit is 0 for the second field, 1 for the first field, bit 6 and 5 are 0 and bits 4 to 0 are a 5 bit unsigned integer that represents the line offset relative to the base-line of the original image format (line 9 for 525-line field 1, line 272 for 525-line field 2, line 5 for 625-line field 1 and line 318 for 625-line field 2).

`GstVideo.VideoCaptionType.CEA708_RAW` (3) –

CEA-708 as cc_data byte triplets. They can also contain 608-in-708 and the first byte of each triplet has to be inspected for detecting the type.

`GstVideo.VideoCaptionType.CEA708_CDP` (4) –

CEA-708 (and optionally CEA-608) in a CDP (Caption Distribution Packet) defined by SMPTE S-334-2. Contains the whole CDP (starting with 0x9669).

Since : 1.16

### GstVideo.VideoCaptionType

The various known types of Closed Caption (CC).

##### Members

`GstVideo.VideoCaptionType.UNKNOWN` (0) –

Unknown type of CC

`GstVideo.VideoCaptionType.CEA608_RAW` (1) –

CEA-608 as byte pairs. Note that this format is not recommended since is does not specify to which field the caption comes from and therefore assumes it comes from the first field (and that there is no information on the second field). Use GST_VIDEO_CAPTION_TYPE_CEA708_RAW if you wish to store CEA-608 from two fields and prefix each byte pair with 0xFC for the first field and 0xFD for the second field.

`GstVideo.VideoCaptionType.CEA608_S334_1A` (2) –

CEA-608 as byte triplets as defined in SMPTE S334-1 Annex A. The second and third byte of the byte triplet is the raw CEA608 data, the first byte is a bitfield: The top/7th bit is 0 for the second field, 1 for the first field, bit 6 and 5 are 0 and bits 4 to 0 are a 5 bit unsigned integer that represents the line offset relative to the base-line of the original image format (line 9 for 525-line field 1, line 272 for 525-line field 2, line 5 for 625-line field 1 and line 318 for 625-line field 2).

`GstVideo.VideoCaptionType.CEA708_RAW` (3) –

CEA-708 as cc_data byte triplets. They can also contain 608-in-708 and the first byte of each triplet has to be inspected for detecting the type.

`GstVideo.VideoCaptionType.CEA708_CDP` (4) –

CEA-708 (and optionally CEA-608) in a CDP (Caption Distribution Packet) defined by SMPTE S-334-2. Contains the whole CDP (starting with 0x9669).

Since : 1.16

### GstVideoVBIParserResult

Return values for GstVideoVBIParser

##### Members

`GST_VIDEO_VBI_PARSER_RESULT_DONE` (0) –

No line were provided, or no more Ancillary data was found.

`GST_VIDEO_VBI_PARSER_RESULT_OK` (1) –

A GstVideoAncillary was found.

`GST_VIDEO_VBI_PARSER_RESULT_ERROR` (2) –

An error occurred

Since : 1.16

### GstVideo.VideoVBIParserResult

Return values for GstVideo.VideoVBIParser

##### Members

`GstVideo.VideoVBIParserResult.DONE` (0) –

No line were provided, or no more Ancillary data was found.

`GstVideo.VideoVBIParserResult.OK` (1) –

A GstVideo.VideoAncillary was found.

`GstVideo.VideoVBIParserResult.ERROR` (2) –

An error occurred

Since : 1.16

### GstVideo.VideoVBIParserResult

Return values for GstVideo.VideoVBIParser

##### Members

`GstVideo.VideoVBIParserResult.DONE` (0) –

No line were provided, or no more Ancillary data was found.

`GstVideo.VideoVBIParserResult.OK` (1) –

A GstVideo.VideoAncillary was found.

`GstVideo.VideoVBIParserResult.ERROR` (2) –

An error occurred

Since : 1.16

## Constants

### GST_VIDEO_AFD_META_API_TYPE

    #define GST_VIDEO_AFD_META_API_TYPE (gst_video_afd_meta_api_get_type())

### GST_VIDEO_AFD_META_INFO

    #define GST_VIDEO_AFD_META_INFO (gst_video_afd_meta_get_info())

### GST_VIDEO_BAR_META_API_TYPE

    #define GST_VIDEO_BAR_META_API_TYPE (gst_video_bar_meta_api_get_type())

### GST_VIDEO_BAR_META_INFO

    #define GST_VIDEO_BAR_META_INFO (gst_video_bar_meta_get_info())

### GST_VIDEO_CAPTION_META_API_TYPE

    #define GST_VIDEO_CAPTION_META_API_TYPE (gst_video_caption_meta_api_get_type())

### GST_VIDEO_CAPTION_META_INFO

    #define GST_VIDEO_CAPTION_META_INFO (gst_video_caption_meta_get_info())

The results of the search are